View Issue Details

IDProjectCategoryView StatusLast Update
00278012.x IDE BugsFont EditorPublic2019-01-04 16:31
ReporterStewart BishopAssigned ToAlan Savage 
PriorityLowSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0027801: Font Editor: Adding a very large range will hang the IDE for a very long time
DescriptionWhen adding a font range, you can specify the min and max values. Using the default font and a range of 0 to 1,000,000,000 and pressing Add causes the IDE to go into a white screen and not recover.
Steps To Reproduce1) Create a font
2) Click Add
3) Set the range from 0 to 1000000
4) Press Add
5) IDE has hung
TagsNo tags attached.
2.x IDE Found In2.1.1.219
2.x Runtime Found In2.1.1.141
2.x IDE Verified In9.2.1.1467
2.x Runtime Verified In9.9.1.1076

Activities

Stewart Bishop

2017-09-14 09:23

Adminstrator   ~0055485

So after 16 hours of leaving the IDE open this hasn't fixed itself so I doubt it will.

Mike Dailly

2017-09-25 11:48

Developer   ~0055663

Shouldn't go above 65536 I suspect (unicode being unsigned short).
Moving to a thread(s) and having a progress bar with a cancel might be nice.

Russell Kay

2018-05-16 22:50

Manager   ~0059781

Unicode range can go all the way to 0xffffffffffffffff as it is 32bit so please do not restrict it - fonts don't have every character we should just enumerate the font glyphs and check to see if they are in the range... font glyphs will be more finite than the numbers